summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/gdb_backtrace11
1 files changed, 11 insertions, 0 deletions
diff --git a/source4/script/gdb_backtrace b/source4/script/gdb_backtrace
index 0ba8c0eaad..72d1f75be9 100755
--- a/source4/script/gdb_backtrace
+++ b/source4/script/gdb_backtrace
@@ -13,5 +13,16 @@ bt full
quit
EOF
+if [ ! -f $PROG ]; then
+ PROG=`which $PROG`
+fi
+if [ ! -f $PROG ]; then
+ PROG=/proc/$PID/exe
+fi
+if [ ! -f $PROG ]; then
+ echo "Unable to find binary"
+ exit 1
+fi
+
gdb -batch -x $TMPFILE $PROG $PID < /dev/null
/bin/rm -f $TMPFILE